summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2015-11-24 04:52:10 +1100
committerMichael Palimaka <kensington@gentoo.org>2015-11-24 04:53:10 +1100
commit479c99000c63e28bbadaa01a3ebcd521e04bd81a (patch)
tree1d3e5aff953d0a47e7444786aa1f35f160f868d3 /net-misc/utelnetd
parentMerge remote-tracking branch 'github/pr/388'. (diff)
downloadgentoo-479c99000c63e28bbadaa01a3ebcd521e04bd81a.tar.gz
gentoo-479c99000c63e28bbadaa01a3ebcd521e04bd81a.tar.bz2
gentoo-479c99000c63e28bbadaa01a3ebcd521e04bd81a.zip
net-misc/utelnetd: version bump
Package-Manager: portage-2.2.25
Diffstat (limited to 'net-misc/utelnetd')
-rw-r--r--net-misc/utelnetd/Manifest1
-rw-r--r--net-misc/utelnetd/utelnetd-0.1.11.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/net-misc/utelnetd/Manifest b/net-misc/utelnetd/Manifest
index 377904d9dfc..37b6a8d7579 100644
--- a/net-misc/utelnetd/Manifest
+++ b/net-misc/utelnetd/Manifest
@@ -1 +1,2 @@
+DIST utelnetd-0.1.11.tar.gz 14548 SHA256 f7c8dc19351612d7c49fd2b1bc30cfb33b7fe24f183ba5e5d9bcb468e3757cd8 SHA512 96b34cba5b007ae0114810a1f7ef348b4db0f210b6f6a76b056420d4c7aa2c8f862253924d21add98d9db7736f9acb61a08084ddee7b8bfa1d4012776a0bb2db WHIRLPOOL f319f013fae1734132a0f93e7688e8a77389112104313cd4c9c91b4af9711f61789dc5acddfc8fabeeb3992aff48360ce1ce61c67376570027cacb14833ecfe5
DIST utelnetd-0.1.9.tar.gz 15310 SHA256 fbc182ef314681b90a4f73049c6bf332dc93b7cbebbf39a6086a126ed2787346 SHA512 73773f9cba5104ea17fcf2d46c9862041a3121bf032893a304ecbc6ae34a1312a165f632ceeaceca341c1f1845a5756edd63ff207b6332526084fadab93c78c4 WHIRLPOOL ac55a3de6bb2d86b207da2f9c02e8ab8c287fed4d2b62473f4b9498763356f39282e58f541d0d7bc5fa935ac6e87ab42d41a56dcbba26fb4d034d72d279b267b
diff --git a/net-misc/utelnetd/utelnetd-0.1.11.ebuild b/net-misc/utelnetd/utelnetd-0.1.11.ebuild
new file mode 100644
index 00000000000..15b56570855
--- /dev/null
+++ b/net-misc/utelnetd/utelnetd-0.1.11.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="A small Telnet daemon, derived from the Axis tools"
+HOMEPAGE="http://www.pengutronix.de/software/utelnetd/index_en.html"
+SRC_URI="http://www.pengutronix.de/software/utelnetd/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~s390 ~sparc ~x86"
+IUSE=""
+
+DEPEND="virtual/shadow"
+
+src_prepare() {
+ sed -i \
+ -e "/(STRIP)/d" \
+ -e "/^CC/s:=.*:= $(tc-getCC):" \
+ -e "/fomit-frame-pointer/d" \
+ Makefile || die
+
+ default
+}
+
+src_install() {
+ dosbin utelnetd
+ dodoc ChangeLog README
+
+ newinitd "${FILESDIR}"/utelnetd.initd utelnetd
+}